Skip to main content
GET
/
campaigns
Get all campaigns by organization ID
curl --request GET \
  --url https://api.callers.ai/campaigns \
  --header 'Authorization: <api-key>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "active": true,
    "firstInteractionAt": "<string>",
    "completedAt": "<string>",
    "callParams": {
      "phonesFrom": [
        "<string>"
      ],
      "timezone": "<string>",
      "daysOfWeek": [
        "<string>"
      ],
      "language": "<string>",
      "approvedCountries": [
        "<string>"
      ]
    },
    "organizationId": "<string>",
    "webhooks": [
      "<string>"
    ],
    "slackUrl": "<string>",
    "isIncoming": true,
    "variables": [
      "<string>"
    ],
    "pauseNewChats": true,
    "emailParams": {
      "outboundConnectionIds": [
        "<string>"
      ],
      "inboundConnectionIds": [
        "<string>"
      ],
      "followUpAttempts": 123,
      "followUpIntervalMinutes": 123,
      "followUpDelayMinutes": 123,
      "fallbackEnabled": true,
      "retryFollowUp": true,
      "signature": "<string>",
      "signatureName": "<string>",
      "defaultSubject": "<string>",
      "timezone": "<string>"
    },
    "incomingPhoneNumber": "<string>",
    "campaignGroupId": "<string>",
    "campaignGroupName": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Headers

x-sub-organization-id
string

Optional sub organization ID. Must belong to your main organization API key.

Query Parameters

campaignGroupId
string

Optional filter: id of the campaign group as a string ObjectId value. When provided, only campaigns belonging to this group within the organization are returned.

organizationId
string
required

Id of the organization as a string ObjectId value.

Response

id
string
required

The id of the campaign. string representation of a ObjectId.

name
string
required

The name of the campaign.

active
boolean
required

Whether the campaign is active (running). Derived from the campaign active field.

firstInteractionAt
string
required

The date and time of the first interaction (call or chat) in the campaign in ISO string format.

completedAt
string
required

The date and time when the campaign was completed in ISO string format.

callParams
object
required

The call parameters of the campaign.

organizationId
string
required

The id of the organization. string representation of a ObjectId.

webhooks
string[]
required

The webhook url of the campaign.

slackUrl
string
required

The slack notifications url of the campaign.

isIncoming
boolean
required

Boolean value defines if the campaign is incoming or outgoing. True if the campaign is incoming, false if the campaign is outgoing.

variables
string[]
required

List of variable used in the campaign.

pauseNewChats
boolean

Whether new chats are paused. When true, stops initiating new chats while allowing ongoing chats to complete.

emailParams
object

The email parameters of the campaign.

incomingPhoneNumber
string

The incoming phone number of the campaign.

campaignGroupId
string | null

The id of the campaign group this campaign belongs to. Null if the campaign is not part of any group.

campaignGroupName
string | null

The name of the campaign group this campaign belongs to. Null if the campaign is not part of any group or the group could not be resolved.